Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030094
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] Web POSminorhave not tried2015-06-04 13:382016-02-02 19:35
ReporteraaroncaleroView Statuspublic 
Assigned Toaaroncalero 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030094: Be able to configure Web POS not to delete the receipts

DescriptionAs an extension to issue 30041, allow the web POS to keep track of deleted from pos tickets.
If the preference is active, when a line is removed from a ticket it will be visually deleted, but it will be stored in a deleted state and will be synchronized with the backend when the entire ticket is synchronized.
Steps To Reproduce-
TagsNo tags attached.
Attached Filesdiff file icon issue30094.diff [^] (7,164 bytes) 2015-06-09 11:50 [Show Content]
diff file icon issue30094automatedtests.diff [^] (21,777 bytes) 2015-06-09 11:53 [Show Content]

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0030041 closedaaroncalero Be able to configure Web POS not to delete the receipts 
depends on defect 0030075pi closedaaroncalero Return tickets should not be able to contain positive lines 
depends on defect 0030084 closedaaroncalero It is possible to skip the OBPOS_approval.deleteLine approval in several cases 

-  Notes
(0083698)
aaroncalero (developer)
2016-01-29 08:21

Issue/FR fixed on the Product Services project

- Issue History
Date Modified Username Field Change
2015-06-04 13:38 aaroncalero New Issue
2015-06-04 13:38 aaroncalero Assigned To => aaroncalero
2015-06-04 13:38 aaroncalero Triggers an Emergency Pack => No
2015-06-04 13:44 aaroncalero Relationship added depends on 0030041
2015-06-04 13:44 aaroncalero Relationship added depends on 0030075
2015-06-04 13:44 aaroncalero Relationship added depends on 0030084
2015-06-09 11:50 aaroncalero File Added: issue30094.diff
2015-06-09 11:53 aaroncalero File Added: issue30094automatedtests.diff
2015-06-11 14:08 eintelau Issue Monitored: eintelau
2016-01-29 08:21 aaroncalero Status new => scheduled
2016-01-29 08:21 aaroncalero Note Added: 0083698
2016-01-29 08:21 aaroncalero Status scheduled => resolved
2016-01-29 08:21 aaroncalero Resolution open => fixed
2016-02-02 19:35 marvintm Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker